
%define 	module	crcmod

Summary:	crcmod - Python module for creating functions computing CRC
Summary(pl.UTF-8):	crcmod - moduł Python umożliwiający generowanie funkcji liczących CRC
Name:		python-%{module}
Version:	1.2
Release:	4
License:	BSD-like
Group:		Libraries/Python
Source0:	http://dl.sourceforge.net/crcmod/%{module}-%{version}.tar.gz
# Source0-md5:	be98002a7bab37ca4a10fa59bc48aef9
URL:		http://crcmod.sourceforge.net/
BuildRequires:	python-devel >= 1:2.3
BuildRequires:	python-modules
BuildRequires:	rpm-pythonprov
Requires:	python >= 2.3
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
crcmod is a Python module for creating functions computing the Cyclic
Redundancy Check (CRC). Any generating polynomial producing 8, 16, 32,
or 64 bit CRCs is allowed. Generated functions can be used in Python
or C/C++ source code can be generated.

%description -l pl.UTF-8
crcmod jest modułem Pythona umożliwiającym tworzenie funkcji
obliczających sumę kontrolną CRC. crcmod pozwala na użycie dowolnego
wielomianu generującego 8-, 16-, 32-, lub 64-bitową sumę CRC.
Wygenerowane funkcje mogą być używane w programach Pythona, jak
również odpowiedni kod w C/C++ do użycia w tych językach może zostać
stworzony.

%prep
%setup -q -n %{module}-%{version}

%build
CFLAGS="%{rpmcflags}"
export CFLAGS
cd extmod
python setup.py build_ext

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{py_sitedir}

cd extmod
%py_install \
	--install-lib=%{py_sitedir}

cp -a ../crcmod.py ../_crcfunpy.py $RPM_BUILD_ROOT%{py_sitedir}

%{py_comp} $RPM_BUILD_ROOT%{py_sitedir}
%{py_ocomp} $RPM_BUILD_ROOT%{py_sitedir}

find $RPM_BUILD_ROOT%{py_sitedir} -name \*.py -exec rm {} \;

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{py_sitedir}/_crcfunext.so
%{py_sitedir}/*.py[oc]
%doc README
%changelog
* Sat Nov 28 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-crcmod.git;a=log;h=master

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> f4337fc
- release 4 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 3a2ddd1
- automatic change: use py_build/py_install macros

* Fri Jan 28 2011 sparky <sparky@pld-linux.org> a658668
- unified first line (one with cvs keywords)

* Sun Jan 23 2011 sparky <sparky@pld-linux.org> f3d3cf1
- added BR: python-modules, rpm-pythonprov

* Thu Jul 08 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 3ed3525
- release 3

* Fri Oct 03 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> e939bee
- release 2

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> ac899c8
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 0c85fea
- converted to UTF-8

* Sat Nov 27 2004 saq <saq@pld-linux.org> ec7944f
- massive attack: added missing python-devel epoch do BR

* Wed Jul 28 2004 Michal Chruszcz <mchruszcz@gmail.com> 2efc7e1
- removed %%include /usr/lib/rpm/macros.python

* Mon Jul 26 2004 Marcin Gajda <m.gajda@functional-software.com> 602e2ac
- massive attack: s/CLFAGS/CFLAGS/

* Sun Jul 11 2004 Marcin Gajda <m.gajda@functional-software.com> 6cf06cd
- initial PLD release

